#!/usr/bin/env python -tt
"""
Provides checks on path naming for the MCMS project. 

Input:
^^^^^
None

Output:
^^^^^^
Various python data structures.
		
Examples:
^^^^^^^^

Notes/Warnings: 
^^^^^^^^^^^^^^

Author: Mike Bauer  <mbauer@giss.nasa.gov>

Log:
2011/01 MB - File created
"""

# Standard library imports
import sys
import os

# ----------------------------------------------------------------------------

def ensure_path(subdir,path_base,check_exists=1):
    while path_base.find("//") != -1:
        path_base = path_base.replace("//","/")
    if check_exists:
        if not os.path.exists(path_base):
            sys.exit("ERROR: %s not found." % path_base)
    if not path_base.endswith("/"):
        sys.exit("paths must end in / see %s" % path_base)
    return path_base

#---Start of main code block. This show how to use the above code
if __name__=='__main__':
    model = ""
    sd = ""
    bpath = os.getcwd()+"/"
    out_path ="%s%s/%s/" % (bpath,model,sd)
    print out_path
    print ensure_path(sd,out_path)
