# Define some functions for internal use_all_lons
def Error_Plot(pname,plot,slp_step,lons,lats,center_loc,
        discard_loc,msg,c_colors=[],d_colors=[]):
    plot.create_fig()
    plot.add_field(lons,lats,slp_step,ptype='pcolor')
    if discard_loc:
        # Make longitude +-180
        discard_loc = [(((x[0]+180.0)%360)-180.0,x[1]) for x in discard_loc]
        if d_colors:
            i = 0
            for pnt in discard_loc:
                pnts = (pnt,)
                plot.add_pnts(pnts,marker='o',msize=3.0,
                              mfc='black',mec='black',lw=1.)
                plot.add_pnts(pnts,marker='o',msize=2.5,
                              mfc=d_colors[i],mec=d_colors[i],lw=1.)
                i += 1
        else:
            plot.add_pnts(discard_loc,marker='o',msize=2.,
                          mfc='red',mec='red',lw=1.)
    if center_loc:
        # Make longitude  +-180
        center_loc = [(((x[0]+180.0)%360)-180.0,x[1]) for x in center_loc]
        if c_colors:
            i = 0
            for pnt in center_loc:
                pnts = (pnt,)
                plot.add_pnts(pnts,marker='s',msize=3.,
                              mfc=c_colors[i],mec=c_colors[i],lw=1.)
                plot.add_pnts(pnts,marker='x',msize=2.5,
                              mfc='black',mec='white',lw=1.)
                i += 1
        else:
            plot.add_pnts(center_loc,marker='s',msize=3.,
                          mfc='black',mec='black',lw=1.)
            plot.add_pnts(center_loc,marker='x',msize=2.5,
                          mfc='black',mec='white',lw=1.)
    plot.finish(pname,title=msg)
    return "\tmMade Error Figure: %s" % (pname)

def Error_Plot_Polar(pname,pplot,slp_step,lons,lats,eq_grid,eq_grid_on_edge,
        center_loc,discard_loc,msg,c_colors=[],d_colors=[],limit_nh=0,limit_sh=0):
    import numpy
    bl =  [15.,-15.]
    hnames = ["nh","sh"]
    #for h in [0]:
    for h in [0,1]:
        if limit_nh and h != 0: continue
        if limit_sh and h != 1: continue 
        # Give only data from the correct hemisphere.
        slp_step.shape = (len(lats),len(lons))
        if h == 0:
            zlats = numpy.array([x for x in lats if x >= 0])
            if eq_grid_on_edge:
                zval = slp_step[eq_grid+1:,:]
            else:
                zval = slp_step[eq_grid:,:]
        else:
            zlats = numpy.array([x for x in lats if x <= 0])
            if eq_grid_on_edge:
                zval = slp_step[:eq_grid+1,:]
            else:
                zval = slp_step[:eq_grid+1,:]          
        pn = pname.replace("global",hnames[h])
        plot = pplot(missing=-1,color_scheme="bone",hemi=hnames[h],
            mproj='laea',bounding_lat=bl[h],lon_0=180.0,
            cints=[960.0,1013.0])#,nocolorbar='nocolorbar')
        plot.create_fig()
        plot.add_pcolor(lons,zlats,zval)
        if discard_loc:
            if d_colors:
                i = 0
                for pnt in discard_loc:
                    pnts = (pnt,)
                    plot.add_pnts(pnts,marker='o',msize=4.0,
                                  mfc='black',mec='black',lw=1.)
                    plot.add_pnts(pnts,marker='o',msize=3.5,
                                  mfc=d_colors[i],mec=d_colors[i],lw=1.)
                    i += 1
            else:
                plot.add_pnts(discard_loc,marker='o',msize=3.,
                              mfc='red',mec='red',lw=1.)
        if center_loc:
            if c_colors:
                i = 0
                for pnt in center_loc:
                    pnts = (pnt,)
                    plot.add_pnts(pnts,marker='s',msize=4.,
                                  mfc=c_colors[i],mec=c_colors[i],lw=1.)
                    plot.add_pnts(pnts,marker='x',msize=3.5,
                                  mfc='black',mec='white',lw=1.)
                    i += 1
            else:
                plot.add_pnts(center_loc,marker='s',msize=4.,
                              mfc='black',mec='black',lw=1.)
                plot.add_pnts(center_loc,marker='x',msize=3.5,
                              mfc='black',mec='white',lw=1.)
        plot.add_extras(circles=[bl[h],2*bl[h]],meridians=[0,180])
        plot.finish(pn,title=msg)
    return "\tmMade Error Figure: %s" % (pname)

