def correct_overlap_asymmetry(o_set,pool,verbose=0):
    """Check for overlap asymmetry: Because rdict can vary with latitude
    center A can over lap center B but center B doesn't overlap
    center B. Thus we need to check that center is not in fact
    overlapping with other centers. By requiring bilateral overlap we
    come closer to the situation of calculating the direct separation between
    each center."""
    fmta = "\t\t\toverlap_set[%7d]: %s"
    fmtb = "\t\t\toverlap_set[%7d]+: %s"
    fmt1 = "\t\tasymmetric_overlap[%7d]: %s\n"+fmta
    updated = set([])
    for center in o_set:
        # Loop over the overlap_set of center. Check if any of these centers,
        #   ones in overlap_set[center], don't list centers in their overlap_set
        asymmetric_overlap = [x for x in o_set[center]
            if center not in o_set[x]]
        if asymmetric_overlap:
            # Update overlap_set[center] to include this/these centers
            if verbose: fmt1 % (center,asymmetric_overlap,center,o_set[center])
            for c in asymmetric_overlap:
                if verbose: print fmta % (c,o_set[c])
                # Update overlap_set
                o_set[c].update(set([center]))
                if verbose:
                    print fmtb % (c,o_set[c])
                    updated.update(set(asymmetric_overlap))
    return updated

