def FixWarning(fix_message,caller):
    """
    Print a message about something to fix and where that is.

    Input:
    ^^^^^
    fix_message - String
        Message to output about what needs fixing.
    caller - String
        Name of the module that message refers to.

    Output:
    ^^^^^^
    msg - String
        Message for stdout

    Examples:
    ^^^^^^^^
    These are written in doctest format, and show how expected use and output.
    >>> FixWarning("Might not need all this as omni file",
    ...     FixWarning.__name__) # doctest: +NORMALIZE_WHITESPACE
    '*FIX MESSAGE* from module FixWarning: Might not need all this as omni file'

    Notes/Warnings:
    ^^^^^^^^^^^^^^

    Author: Mike Bauer  <mbauer@giss.nasa.gov>

    Log:
        2010/08 MB - File created.
    """
    msg = "*FIX MESSAGE* from module %s: %s" % (caller,fix_message)
    return msg

