"""This module deals with polar roll over with gridIDs.

Options/Arguments:

Returns/Creates:

Examples:

Notes:

Author: Mike Bauer  <mbauer@giss.nasa.gov>

Log:
    2012/06  MB - File created, as stand alone module.
"""
def get_true_row(int trow, int tcol, int halfway, int im, int jm):
    if 0 <= trow < jm: 
        # Find as is.
        return trow,tcol
    elif trow < 0:
        # South Pole roll over
        #   A trow of -1 lands on the same row, but the column sifted im/2
        return trow+1,tcol+halfway
    elif trow >= jm: 
        # North Pole roll over
        #   A trow of jm lands on jm-1, but the column sifted im/2
        return trow-1,tcol+halfway
    else:
        return 1



