#!/usr/bin/env python -tt
"""Finds the i,j index given a gridID of the source grid.

Inputs:
    gridID - Integer
        The gridID.
    im - Integer
        The number of longitude grids in the source grid.
    jm - Integer
        The number of latitude grids in the source grid.

Returns:
    i - Integer
        The longitude index of the desired gridID
    j - Integer
        The latitude index of the desired gridID

Examples:

Notes: This should work with any standard installation of python version
       2.4 or greater.

Author: Mike Bauer  <mbauer@giss.nasa.gov>

Log:
    2009/01  MB - File created.
    2011/01  MB - Updated
"""
def grid2ij(k,im,jm):
    """returns 2d grid indices of an ny,nx 'row-major' array.
    """
    i = -1
    j = -1
    if k < im*jm:
        i = k % im
        j = k / im
    return i,j
