#!/usr/bin/env python -tt
"""Finds the gridID given the i,j, im, jm of the source grid.

Inputs:
    i - Integer
        The longitude index of the desired gridID
    j - Integer
        The latitude index of the desired gridID
    im - Integer
        The number of longitude grids in the source grid.
    jm - Integer
        The number of latitude grids in the source grid.

Returns:
    gridID - Integer
        The gridID.

Examples:

Notes: This should work with any standard installation of python version
       2.4 or greater.

Author: Mike Bauer  <mbauer@giss.nasa.gov>

Log:
    2009/01  MB - File created.
    2011/01  MB - Updated
"""
def ij2grid(j,i,im,jm):
    """returns 1d grid index of an ny,nx 'row-major' array.
    i the 'x' index between 0 , nx-1 where nx is index max
    j the 'y' index between 0 , ny-1 where ny is index max
    """
    k = None
    if i < im and j < jm:
        k = j*im + i
    if k == None:
        print "Error in ij2grid j = %d, i = %d im = %d jm = %d" % (j,i,im,jm)
        import sys; sys.exit()
    return int(k)
