def plot_boxplots(*args,**kwargs):
    """Use matplotlib to make box and whisker plots"""
    
    # Standard modules

    # Third party modules
    import numpy
    import matplotlib.pyplot as plt
    from matplotlib.patches import Polygon

    box_data = args[0]
    box_dates = args[1]
    box_index = args[2]
    averages = args[3]
    bname = args[4]
    ylabel = args[5]
    title = args[6]
    
    NAve = numpy.average
    golden_ratio = 1.61803399*2.0
    #width = 40.0
    #hieght = width/golden_ratio
    hieght = 10.0
    width = 11.0                    
    hieght = 5.0
    width = 5.5     
    # BoxPlots
    #------------------------------
    fig = plt.figure(figsize=(width,hieght))
    ax = fig.add_subplot(111)
    bp = plt.boxplot(box_data, notch=0, sym='', vert=1, whis=1.5)
    plt.setp(bp['boxes'], color='black')
    plt.setp(bp['whiskers'], color='black')
    plt.setp(bp['medians'], color='black',lw=2)
    #plt.setp(bp['medians'], color='black',lw=4)
    #plt.setp(bp['fliers'], color='black', marker='')
    
    # Now fill the boxes with desired colors
    boxColors = ['0.85','1']
    numBoxes = len(bp['medians'])
    medians2 = range(numBoxes)
    for i in range(numBoxes):
        box = bp['boxes'][i]
        boxX = []
        boxY = []
        for j in range(5):
            boxX.append(box.get_xdata()[j])
            boxY.append(box.get_ydata()[j])
        boxCoords = zip(boxX,boxY)
        # Alternate between Dark Khaki and Royal Blue
        k = i % 2
        boxPolygon = Polygon(boxCoords,facecolor=boxColors[k])
        #boxPolygon = Polygon(boxCoords,facecolor=boxColors[k],hatch='/')
        ax.add_patch(boxPolygon)
        # Now draw the median lines back over what we just filled in
        med = bp['medians'][i]
        medianX = []
        medianY = []
        for j in range(2):
            medianX.append(med.get_xdata()[j])
            medianY.append(med.get_ydata()[j])
            plt.plot(medianX, medianY, 'k')
            medians2[i] = medianY[0]
    # Finally, overplot the sample averages, with horixzontal alignment
    # in the center of each box
    boxcenter = [NAve(bp['medians'][i].get_xdata()) for i in xrange(len(bp['medians']))]
    # Draw as line
    #plt.plot(boxcenter,averages,'r.-',ms=1,linewidth=3)
    # Draw as stars
    for i in range(numBoxes):
        #print i,boxcenter[i],averages[i]
        #plt.plot(boxcenter[i],averages[i],color='w',marker='*',markeredgecolor='k',ms=15)
        plt.plot(boxcenter[i],averages[i],color='w',marker='*',markeredgecolor='k',ms=10)
    # Thin light grey line along y-axis
    ax.yaxis.grid(True,linestyle='-',which='major',color='lightgrey',alpha=0.5)
    # vertical line over 0-hour
    #plt.axvline(x=box_dates.index(0)+1,linestyle='-',color='lightgrey')#,alpha=0.75)
    # Hide these grid behind plot objects
    ax.set_axisbelow(True)
    # Change Labels
    #xmin1, xmax1 = plt.xlim()
    #plt.xlim(xmin=xmin1-1,xmax=xmax1+1)
    # Set font size
    for labeltick in ax.xaxis.get_majorticklabels():
        labeltick.set_fontsize(11)
    locs, labels = plt.xticks()
    plt.xticks(box_index,box_dates)
    # Axis & Title
    ax.set_xlabel('Hours Relative to Lifetime Minimum SLP')
    ax.set_ylabel(ylabel)
    ax.set_title(title)

    fig.savefig(bname,dpi=144)
    plt.clf()
    plt.close('all')
    return "\t\t\tMade ",bname
