def process_data(values,outfile,minval,interval,verbose=False,raw=False) :
    """
    Convert to fractional percentage, find peak value etc.
    """

    step = interval

    binsum    = sum(values)
    i         = 0
    bin2gmt   = []
    lower_end = minval - step
    peak_frac = 0.0
    peak_y = -1000.0
    peak_y_x = 0

    for bin in values :
        lower_end = lower_end + step
        if i == 0 :
            min_x = lower_end-0.5*step
        if i == len(values)-1 :
            max_x = lower_end-0.5*step
        if binsum > 0:
            frac = float(bin)/float(binsum)*100.0
        else:
            frac = 0.0
        if frac > peak_frac :

            peak_frac = frac
            peak_y = bin
            peak_y_x = i

        if i == 0:
            min_x = lower_end+(0.5*step)
        if  i == len(values)-1:
            max_x = lower_end+(0.5*step)

        if raw:
            #bin2gmt.append("%f %f\n"%(lower_end+(0.5*step),bin))
            # done so -D option makes a 0 wind centered on 0 in the plot.
            bin2gmt.append("%f %f\n"%(lower_end,bin))
        else:
            bin2gmt.append("%f %f\n"%(lower_end+(0.5*step),frac))

        if verbose :
            if i == 0 :
                llower_end = lower_end - step
                print  "Bin #%3d |  X  < %f\tCnt = %d" % (i,llower_end+step,bin)
            elif i == len(values)-1 :
                print  "Bin #%3d | %f <= X\t--- Cnt = %d" % (i,lower_end,bin)
            else :
                print  "Bin #%3d | %f <= X < %f\tCnt = %d" % \
                      (i,lower_end,lower_end+step,bin)
        i+=1

    if verbose:
        print "Peak Fraction %f for bin %d = %f" % (peak_frac,peak_y_x,peak_y)
        print "MinX_val      %f" % (min_x)
        print "MaxX_val      %f" % (max_x)

    file1 = open(outfile, 'w')
    file1.writelines(bin2gmt)
    file1.close()

    return peak_frac,min_x,max_x
