#!/usr/bin/env python -tt

import glob, os, shutil

def rename(dir,pattern,seperator,blob,cfunc):
    for pathAndFilename in glob.iglob(os.path.join(dir, pattern)):
        basename, extension = os.path.splitext(pathAndFilename)
        new_name = cfunc(basename,blob)
        new_name = dir+new_name
        if rename_them:
            print "\tRenaming ",pathAndFilename," -> ",new_name
            os.rename(pathAndFilename,new_name)
        else:
            print "\tCopying ",pathAndFilename," -> ",new_name
            shutil.copy2(pathAndFilename,new_name)
        #import sys; sys.exit("\nStop Here")

def break_fname_yearmonthday(fname,blob=""):
    # example: MERRA300.prod.assim.inst3_3d_asm_Cp.20110101.SUB.nc
    if fname.find("MERRA100") != -1:
        fblob = blob.replace("X","MERRA100")
    elif fname.find("MERRA200") != -1:
        fblob = blob.replace("X","MERRA200")
    elif fname.find("MERRA300") != -1:
        fblob = blob.replace("X","MERRA300")
    elif fname.find("MERRA301") != -1:
        fblob = blob.replace("X","MERRA301")
    else:
        print "Unknown Blob",fname,blob
        sys.exit()
    blob_size = len(fblob)
    keep = fname.split(fblob)[1]
    #yyyy = int(keep[1:5])
    #mm = int(keep[5:7])
    #dd = int(keep[7:9])
    return "slp.%04d%02d%02d.nc" % (int(keep[1:5]),int(keep[5:7]),int(keep[7:9]))

#---Start of main code block.
if __name__=='__main__':

    #base_dir = r'/Volumes/Scratch/data/merrac/'
    #extension = r'*.nc'
    #seperator = "."
    #blob = "X.prod.assim.inst3_3d_asm_Cp"
    #rename_them = 1

    base_dir = r'/Volumes/Scratch/data/merran/'
    extension = r'*.nc'
    seperator = "."
    blob = "X.prod.assim.inst6_3d_ana_Np"
    rename_them = 1

    rename(base_dir,extension,rename_them,blob,break_fname_yearmonthday)
