def setup_histo_report():
    # Standard modules
    # Third party modules
    # MCMS modules
    import util.setup_stats_report
    
    setup_stats_report = util.setup_stats_report.setup_stats_report
    
    # Format statements for histo_report
    report_save_table = {'Variable' : '{0:80s}\n\n',
            'Season' : '{1:12s}',
            'Intensity' : '{2:12s}',
            'Hemisphere' : '{3:12s}',
            }
    report_save_info = ['Variable','Season','Intensity','Hemisphere']
    report_save_fmt = "".join(['%s' % (report_save_table[x])
        for x in report_save_info]) + "\n"
    for hf in report_save_info:
        if hf == 'Variable':
            putin = hf
        elif hf in ['Season','Intensity','Hemisphere']:
            putin = "\t"+hf
        report_save_fmt = report_save_fmt.replace(report_save_table[hf],
                "%s: %s" % (putin,report_save_table[hf]))
    max_width = len('Median Value')
    results_table = {'Count' : '\t{0:11g}\n',
            'Minimum Value' : '\t{1:11g}\n',
            'Maximum Value' : '\t{2:11g}\n'}
    results_info = ['Count','Minimum Value','Maximum Value']
    # results_fmt = "".join(['%s' % (results_table[x])
    #     for x in results_info]) + "\n"
    # for hf in results_info:
    #     insert_width = 12+(max_width-len(hf))
    #     putin = "\t\t"+hf+" "*insert_width
    #     results_fmt = results_fmt.replace(results_table[hf],
    #             "%s: %s" % (putin,results_table[hf]))
    # cnt_fmt = "\tCount Info:\n" + results_fmt

    mean_table = results_table
    mean_info = results_info
    starti = len(results_info)
    for mt in ['Mean Value','Median Value','Mode','ModeAlt','Standard Deviation',
            'Skew','Kurtosis','5% Percentile','95% Percentile']:
        mean_table[mt] = '\t{%d:11g}\n' % starti
        mean_info.append(mt)
        starti += 1
    mean_fmt = "".join(['%s' % (mean_table[x])
        for x in mean_info]) + "\n"
    for hf in mean_info:
        insert_width = 12+(max_width-len(hf))
        putin = "\t\t"+hf+" "*insert_width
        mean_fmt = mean_fmt.replace(mean_table[hf],
                "%s: %s" % (putin,mean_table[hf]))
    mean_fmt = "\tAverage Info:\n" + mean_fmt
    return (report_save_fmt,mean_fmt)
#    return (report_save_fmt,cnt_fmt,mean_fmt)
